import service from '@/utils/request'

// 包装计件单据维护
// 侧边栏
export const getPackingSideTable = (data) => {
    return service({
        url: '/mes_server/packaging_count_document/getTab',
        method: 'get',
        data
    })
}

// 列表
export const getPackingTable = (params) => {
    return service({
        url: '/mes_server/packaging_count_document/getList',
        method: 'get',
        params
    })
}

// 定位
export const getLocate = (params) => {
    return service({
        url: '/mes_server/packaging_count_document/locate',
        method: 'get',
        params
    })
}

// 获取详细信息
export const getInfo = (params) => {
    return service({
        url: '/mes_server/packaging_count_document/getInfo',
        method: 'get',
        params
    })
}

// 查询印件工序及产品名称
export const getGxMc = (params) => {
    return service({
        url: '/mes_server/packaging_count_document/getGxMc',
        method: 'get',
        params
    })
}

// 查询员工名称
export const getYg = (params) => {
    return service({
        url: '/mes_server/packaging_count_document/getYg',
        method: 'get',
        params
    })
}

// 其他计件单据维护
export const getOtherSideTable = (data) => {
    return service({
        url: '/mes_server/other_count_document/getTab',
        method: 'get',
        data
    })
}

export const getOtherTable = (params) => {
    return service({
        url: '/mes_server/other_count_document/getList',
        method: 'get',
        params
    })
}


// 计件工计时单侧边栏
export const getTimeSheetSideTable = (data) => {
    return service({
        url: '/mes_server/piece_work_schedule/getTab',
        method: 'get',
        data
    })
}

// 计件工计时单列表
export const getTimeSheetTable = (params) => {
    return service({
        url: '/mes_server/piece_work_schedule/getList',
        method: 'get',
        params
    })
}

// 工单核验单侧边栏
export const getOrderVerificationSideTable = (data) => {
    return service({
        url: '/mes_server/work_order_verification/getTab',
        method: 'get',
        data
    })
}

// 工单核验单列表
export const getOrderVerificationTable = (params) => {
    return service({
        url: '/mes_server/work_order_verification/getList',
        method: 'get',
        params
    })
}